Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.binding.binder
Interface ListBindingBuilder

All Known Implementing Classes:
  ListBindingBuilderImpl

    public interface ListBindingBuilder

Describes a binding builder that holds a ListModel and ListSelectionModel that can be bound to tables and lists.

Examples:

     binder.bind(albumListModel,   albumListSelectionModel)  .to(albumTable);
     binder.bind(contactListModel, contactListSelectionModel).to(contactList);

Since:
  2.3
Version:
  $Revision: 1.2 $
Author:
  Karsten Lentzsch

Method Summary
`void` | `to(JList list)` Sets this builder's ListModel and ListSelectionModel in the given list.
`void` | `to(JTable table)` Sets this builder's ListModel and ListSelectionModel in the given table.

Method Detail

### to

    void to(JList list)

  Sets this builder's ListModel and ListSelectionModel in the given list.

  Example:
  `binder.bind(contactSelectionInList).to(contactList);`

  Parameters:
    `list` - the component to set the data and selection model in
  Throws:
    `NullPointerException` - if `table` is `null`

### to

    void to(JTable table)

  Sets this builder's ListModel and ListSelectionModel in the given table. As a precondition, the table's model must implement ListModelBindable, so this builder's ListModel can be set in the TableModel.

  Example:
  `binder.bind(contactSelectionInList).to(contactTable);`

  Parameters:
    `table` - the component to set the data and selection model in
  Throws:
    `NullPointerException` - if `table` is `null`
    `IllegalArgumentException` - if `table`'s TableModel does not implement the ListModelBindable interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2011 JGoodies Karsten Lentzsch. All Rights Reserved.